# baseURL = 'https://example.org/'
# languageCode = 'en-us'
# title = 'My New Hugo Site'
languageCode: "en-us"
baseUrl: "https://blog.ca.sual.in/"
title: "Casual Blog"
theme: "anubis2"
paginate: 10
# disqusShortname: "yourdiscussshortname"
# googleAnalytics: "G-12345"
enableRobotsTXT: true

taxonomies:
  category: categories
  # tag: tags
pluralizeListTitles: false

menu:
  main:
  - identifier: hacking
    name: Hacking
    title: Hacking
    url: /hacking/
    weight: 1
  - identifier: tech
    name: Technology
    title: Technology
    url: /tech/
    weight: 2
  # - identifier: privacy
  #   name: Privacy
  #   title: Privacy
  #   url: /posts/privacy/
  #   weight: 3
  - identifier: productivity
    name: Productivity
    title: Productivity
    url: /productivity/
    weight: 4
  - identifier: personal
    name: Personal
    title: Personal
    url: /personal
    weight: 5

  - identifier: whoami
    name: About
    title: Whoami
    url: /whoami
    weight: 0

params:
  author: "Casual"
  email: c@sual.in # used for microformats
  avatar: "/images/me.png" # used for microformats
  description: "Hacking blog"
  # Uncomment if you need this
  # images:
  #   - images/og-featured.png # relative path to "static" directory
  # customCSS:
  #   - css/my.css # relative path to "assets" directory (don't use main.css filename)
  # customJS:
  #   - js/main.js # relative path to "assets" directory
  # dateFormat: "29.01.2024"
  # dateFormat: "29.01.2024"
  paginationSinglePost: false
  style: dark-without-switcher
  mainSections: [ "blog" ] # which sections should be on index/main page
  sectionsWithFullContentOnListPage: [ "notes" ] # for which sections content should be displayed on list pages
  readMore: false # show read more button
  readNextPosts: 5  # show 5 related posts, 0 by default
  disableSummary: false
  toc: true # display Table of Contents
  tocWordCount: 300 # ...when a post is longer than 300 words
  copyCodeButton: true # true by default
  rssAsSocialIcon: true
  mathjax: false # https://www.mathjax.org/
  # utteranc.es support
  utterancesRepo: ""  # mandatory
  utterancesTheme: "" # optional
  utterancesIssue: "" # optional
  utterancesLabel: "" # optional
  # buildDrafts: true
  # isso support
  # isso:
    # enabled: true # mandatory
    # data: "https://comments.example.com/" # mandatory
    # jsLocation: "https://comments.example.com/js/embed.min.js" # mandatory
    # css: true # optional
    # lang: "de" # optional
    # replyToSelf: true # mandatory
    # requireAuthor: true # mandatory
    # requireEmail: true # mandatory
    # id: "thread-id" # optional
    # avatar: true # optional
    # avatar-bg: "#f0f0f0" # optional
    # feed: false # optional
  # UmamiAnalytics:
    # enabled: true # mandatory
    # dnt: true # optional
    # id: "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx" # mandatory
    # datacache: false # optional
    # url: "https://abc.example.com/umami.js" # mandatory
  # graphcommentId: ""
  # webmentions:
    # url: https://yourdomain.com/webemntions/receive
    # login: hugo-theme-anubis
    # pingback: true
  social:
  # - id: github
    # name: gohugoio
  - id: github
    url: "https://git.sual.in/casual"
    # icon: "hugo"
    #test rm me

markup:
  goldmark:
    renderer:
      unsafe: true # enable raw HTML in Markdown
# module:
#   imports:
#   - disable: false
#     ignoreConfig: false
#     ignoreImports: false
#     path: github.com/Junyi-99/hugo-theme-anubis2
#   - path: anubis2
# 
